[gnome-continuous-yocto/gnomeostree-3.28-rocko: 902/8267] bitbake: toaster: bin Use python 3 for our django modules check



commit 5bebe39a8a6caf4af58c4900b3d5f3b94d2a4d35
Author: Michael Wood <michael g wood intel com>
Date:   Fri Jun 10 11:01:10 2016 +0100

    bitbake: toaster: bin Use python 3 for our django modules check
    
    Explicitly use python3 so that the modules for python3 are checked.
    
    (Bitbake rev: e7951541c34c5561187110ba0ec69b9c45022747)
    
    Signed-off-by: Michael Wood <michael g wood intel com>
    Signed-off-by: Richard Purdie <richard purdie linuxfoundation org>

 bitbake/bin/toaster |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)
---
diff --git a/bitbake/bin/toaster b/bitbake/bin/toaster
index be1bb9c..e3a0dae 100755
--- a/bitbake/bin/toaster
+++ b/bitbake/bin/toaster
@@ -115,7 +115,7 @@ verify_prereq() {
     exp='s/Django\([><=]\+\)\([^,]\+\),\([><=]\+\)\(.\+\)/'
     exp=$exp'import sys,django;version=django.get_version().split(".");'
     exp=$exp'sys.exit(not (version \1 "\2".split(".") and version \3 "\4".split(".")))/p'
-    if ! sed -n "$exp" $reqfile | python - ; then
+    if ! sed -n "$exp" $reqfile | python3 - ; then
         req=`grep ^Django $reqfile`
         echo "This program needs $req"
         echo "Please install with pip install -r $reqfile"


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]